libdvbpsi (1.3.0-4) unstable; urgency=medium

  * libdvbpsi-dev.examples: Drop the auto-generated Makefile. They are not
    useful as example. (Closes: #809715)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Jan 2016 11:00:05 +0100

libdvbpsi (1.3.0-3) unstable; urgency=medium

  * Move to automatic debug packages.
    - debian/control:
      + Bump debhelper B-D to 9.20151219.
      + Remove libdvbpsi-dbg package.
    - debian/rules: Call dh_strip with --ddeb-migration.
  * debian/control:
    - Update Vcs-Browser.
    - Remove Pre-Depends, which is no longer needed.
  * debian/libdvbpsi-dev.docs: Do not install AUTHORS. The information is
    covered in the copyright file anyway.
  * libdvbpsi-dev.preinst: Removed, no longer needed.
  * debian/libdvbpsi-dev.changelogs: Removed, unused.
  * debian/{dvbpsi-utils,libdvbpsi-dev}.examples: Move code examples to -dev
    package.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Jan 2016 22:16:09 +0100

libdvbpsi (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Jun 2015 23:06:55 +0200

libdvbpsi (1.3.0-1) experimental; urgency=medium

  [ Alessio Treglia ]
  * New upstream release.
  * Bump SONAME.
  * Drop no-werror.patch, no longer needed.
  * Bump Standards.

  [ Sebastian Ramacher ]
  * debian/copyright:
    - Update copyright years.
    - Add Daniel Kamil Kozar.
  * debian/control:
    - Remove obsolete Conflicts.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Jun 2015 20:01:30 +0200

libdvbpsi (1.2.0-2) unstable; urgency=medium

  * debian/patches:
    - no-werror.patch: Do not build with -Werror. (Closes: #777943)
    - hide-internal-symbols.patch: Hide internal symbols.
  * debian/libdvbpsi9.symbols: Remove internal symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 10:27:53 +0200

libdvbpsi (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add myself to Uploaders.
  * debian/copyright:
    - Update copyright years and add new upstream authors.
    - Add myself.
  * debian/libdvbpsi9.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Apr 2014 17:51:18 +0200

libdvbpsi (1.1.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Mar 2014 19:52:24 +0100

libdvbpsi (1.1.2-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.5.
    - Put dvbpsi-utils in section video to fix discrepancies with override
      file.
  * debian/copyright: Update copyright years.
  * debian/rules: Install NEWS as upstream changelog. ChangeLog is no longer
    updated upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Dec 2013 17:16:58 +0100

libdvbpsi (1.1.1-1) experimental; urgency=low

  * Team upload.
  * New upstream bugfix-only release.
  * Drop fix-kfreebsd-build.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Oct 2013 16:28:51 +0100

libdvbpsi (1.1.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release:
    - Remove deprecated APIs and bump library version.
    - Corrected use of dvbpsi_ValidPSISection() to not use b_syntax_indicator
      as check, the function tries to always check the CRC32 of the given PSI
      section. Take care to only use the function for PSI sections that have
      a CRC32 field. Use the function dvbpsi_has_CRC32() for this purpose.
    - Remove workaround for checking CRC32 in TOT PSI table.
    - Add function dvbpsi_CalculateCRC32() to calculate a CRC32 on the
      payload.
    - Fix offset for description parsing in tables;
      + CAT
      + BAT
      + TOT
      + NIT
    - New descriptor:
      + 0x54 content descriptor
    - EIT: add NVOD event detection.
  * SONAME bump.
  * Refresh patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 19 Aug 2013 10:41:10 +0100

libdvbpsi (1.0.0-3) unstable; urgency=low

  * Team upload.
  * debian/libdvbpsi-dev.preinst: Handle symlink to directory conversion in
    libdvbpsi-dev. (Closes: #707801)
  * debian/patches/fix-kfreebsd-build.patch: Fix FTBFS on kreebsd-*.
  * debian/dvbutils.install: Install the binary and not the libtools wrapper
    script. (Closes: #715573)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 Jul 2013 15:07:08 +0200

libdvbpsi (1.0.0-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * Fix VCS URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Jul 2013 23:35:04 +0100

libdvbpsi (1.0.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release:
    - new example application dvbinfo: use 'dvbinfo -h' for more information
      on commandline options
    - misc examples: fixes to gen_pat, gen_pmt
    - updated documentation (new api howto)
    - add log callback (remove fprintf's)
    - make API more consistent, see doxygen "howto-new-api" section for
      converting your code:
      + introduces dvbpsi_t typedef
      + removed dvbpsi_handle
      + changed argument order
      + changed table functions prototypes
    - EIT table generation, and decoding fixes
    - RST table decoding and generation
    - new descriptor 0x40, 0x41, 0x49, 0x4a, 0x4b, 0x4f, 0x50 and
      0x7c (decoder and generators)
    - descriptor 0x03: added variable_rate_audio_indicator
    - new descriptor (ATSC): 0x13, 0x14, 0x62, 0x66, 0x73, 0x83 decoders
    - ATSC tables EIT, ETT, MGT, STT and VCT decoders
  * Create new dvbpsi-utils binary to provide example apps.
  * Add -DBG package containing the debugging symbols for libdvbpsi8.
  * Update debian/copyright.
  * Bump SONAME.
  * Bump debhelper compat.
  * Switch to DH 7 short-form and with dh-autoreconf support.
  * Convert to Multi-Arch.
  * libdvbpsi-dev provides docs by itself, so there's no need to
    going on linking the doc dirs.
  * Update watch file, thanks to Bart Martens.
  * Bump Standards.
  * Remove upstream ChangeLog file from libdvbpsi-dev.
  * Add symbols file.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Jan 2013 17:33:59 +0000

libdvbpsi (0.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream:
    - revert regression introduced by "ignore initial discontinuity"
      commit (Closes: #640722)
    - do not use -no-undefined linkerflag on *BSD systems

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Dec 2011 01:22:29 +0100

libdvbpsi (0.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * Add a note about misc/test_dr.h, it is relased under GPL terms
  * debian/control: Remove trailing blank line.

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Sep 2011 10:59:51 +0200

libdvbpsi (0.2.0-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 0.2.0:
    - Relicense libdvbpsi from GPLv2 to LGPLv2.1
    - bump version number to 0.2.0 (skipping 0.1.8 and 0.1.9) to indicate
      GPL -> LGPL license change
    - new CUE Identifier descriptor support (0x8a)
    - new Splice Information Section table support (0xFC) (SCTE 35 2004)
    - new BAT table (decoder and generator)
    - new descriptor 0x44
    - depreceated all API's in preparation for 1.0.0 release with revamped
      API packagers and application developers should anticipate:
      + structure renames dvbpsi_handle to dvbpsi_t
      + prototype changes
      + removal of printf for message printing
      + message callback function
  * Bump SONAME.
  * Update symbols.
  * debian/copyright:
    - Update copyright and licensing information.
    - Update formatting to comply with DEP-5 rev.174.
  * Update gbp config file.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 May 2011 17:05:07 +0200

libdvbpsi (0.1.7-2) unstable; urgency=low

  * Team upload.
  * Get rid of unneeded *.la files (Closes: #621554).
  * debian/control:
    - Correct team's name.
    - Fix lintian warning "binary-control-field-duplicates-source field
      section".
    - Bump Standards.
  * Set packaging format to 3.0 (quilt).

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 May 2011 08:26:13 +0200

libdvbpsi (0.1.7-1) unstable; urgency=low

  * New upstream version
    + SONAME change
    + Closes: #578918
  * Swith packaging to git.debian.org
    + Add a git-buildpackage preferences file
    + Update Vcs fields
    + Hide some files
  * Add a watch file
  * Don't put the SONAME in the source package name
  * Don't put the SONAME in the -dev package name
  * Set Policy to 3.8.4
  * Add ${misc:Depends}
  * Use strict version requirements between libdvbpsi-dev and libdvbpsi6
  * Distribute the .pc
  * Add a symbol file

 -- Christophe Mutricy <xtophe@videolan.org>  Wed, 12 May 2010 19:27:29 +0100

libdvbpsi5 (0.1.6-1) unstable; urgency=low

  [ Christophe Mutricy ]
  * New upstream release
  * debian/control
    + Renamed source package to libdvbpsi5
    + Vcs fields are official now
    + Add Homepage field

  [ Sam Hocevar ]
  * debian/control:
    + Use ${binary:Version} instead of ${Source-Version}.
    + Set policy to 3.7.3.
  * debian/rules:
    + Don’t ignore make distclean errors.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 20 Jan 2008 15:07:16 +0000
 
libdvbpsi4 (0.1.5-3) unstable; urgency=low

  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer.
    + Added Vcs fields.
  * debian/compat:
    + Set compat to 5.
  * debian/rules:
    + Use dh_install and dh_link instead of mv/cp/ln.
    + Removed useless touch rules.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 16 Mar 2007 15:58:50 +0100

libdvbpsi4 (0.1.5-2) unstable; urgency=low

  * debian/control:
    + Set policy to 3.7.2.
  * debian/copyright:
    + Fixed upstream webpage.
    + Fixed old FSF address.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 23 May 2006 16:35:51 +0200

libdvbpsi4 (0.1.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.2.1.
    + Renamed source package to libdvbpsi4.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  6 Jul 2005 14:48:49 +0200

libdvbpsi3 (0.1.4-2) unstable; urgency=high

  * src/descriptors/dr_59.c:
    + Fixed dvb subtitles descriptor generation.
  * src/tables/pmt.c:
    + Fixed a bug in the PMT parser.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 27 Aug 2004 11:16:12 +0200

libdvbpsi3 (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.1.0.
    + Renamed source package to libdvbpsi3.
    + Removed the autotools-dev build dependency.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  2 Jan 2004 14:58:50 +0100

libdvbpsi2 (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.0. No changes required.
    + Set debhelper build-dependency to (>= 4.0) due to debian/compat.
    + Renamed source package to libdvbpsi2.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 30 Jul 2003 11:50:45 +0200

libdvbpsi (0.1.1-8) unstable; urgency=low

  * Set policy to 3.5.10.
  * Fixed a typo in the package description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 31 May 2003 00:43:41 +0200

libdvbpsi (0.1.1-7) unstable; urgency=high

  * Fixed the build by making libdvbpsi-0.1.0/configure executable during
    the clean rule (Closes: #194360).

 -- Samuel Hocevar <sam@zoy.org>  Fri, 23 May 2003 10:53:16 +0200

libdvbpsi (0.1.1-6) unstable; urgency=low

  * Updated standards-version to 3.5.9.0.
  * Added versioned build-depends on debhelper (>=3.0).

 -- Samuel Hocevar <sam@zoy.org>  Fri,  4 Apr 2003 17:02:28 +0200

libdvbpsi (0.1.1-5) unstable; urgency=low

  * The "don't try to be more clever than automake" release.
  * Fixed timestamp skew in debian/rules (Closes: #173438).

 -- Samuel Hocevar <sam@zoy.org>  Mon, 10 Feb 2003 18:31:15 +0100

libdvbpsi (0.1.1-4) unstable; urgency=low

  * Fixed timestamp skew in debian/rules (Closes: #173438).

 -- Samuel Hocevar <sam@zoy.org>  Sat,  8 Feb 2003 05:56:52 +0100

libdvbpsi (0.1.1-3) unstable; urgency=low

  * Synced debian/control with the override file.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 12 Dec 2002 17:03:04 +0100

libdvbpsi (0.1.1-2) unstable; urgency=low

  * Updated rules file to call configure with the proper flags and avoid
    timestamp issues with autotools (Closes: #162774, #171290).

 -- Samuel Hocevar <sam@zoy.org>  Thu, 12 Dec 2002 15:29:42 +0100

libdvbpsi (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Changed binary package name from libdvbpsi0 to libdvbpsi1.

 -- Samuel Hocevar <sam@zoy.org>  Sat, 18 May 2002 13:49:48 +0200

libdvbpsi (0.1.0-1) unstable; urgency=low

  * First public release.

 -- Samuel Hocevar <sam@zoy.org>  Wed,  3 Apr 2002 00:03:49 +0200

